Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.jcsc.rules
Interface RuleConstants

public interface RuleConstants

`RuleConstants` contains all the constants which are used for rule property file.

Version:
  $Revision: 1.3 $
Author:
  Ralph Jocham

Field Summary
`static java.lang.String` | `ABSTRACTCLASSNAMEREGEXP`
`static java.lang.String` | `ALLOWDOTSTARIMPORT`
`static java.lang.String` | `ALLOWEDCOMPLEXLOOPEXPRESSION`
`static java.lang.String` | `ALLOWPACKAGEFIELD`
`static java.lang.String` | `ALLOWPROTECTEDFIELD`
`static java.lang.String` | `ALLOWPUBLICFIELD`
`static java.lang.String` | `ANONYMOUSCLASSMETHODJAVADOC`
`static java.lang.String` | `ASSIGNMENTINCONDITIONALEXPRESSION`
`static java.lang.String` | `BEGINNING_OF_CLASS`
`static java.lang.String` | `BRACESAROUNDSINGLELINESTATEMENT`
`static java.lang.String` | `CFPACREGEXP`
`static java.lang.String` | `CFPRIREGEXP`
`static java.lang.String` | `CFPROREGEXP`
`static java.lang.String` | `CFPUBREGEXP`
`static java.lang.String` | `CHECKARRAYATTYPE`
`static java.lang.String` | `CLASSNAMEREGEXP`
`static java.lang.String` | `CMETPACREGEXP`
`static java.lang.String` | `CMETPRIREGEXP`
`static java.lang.String` | `CMETPROREGEXP`
`static java.lang.String` | `CMETPUBREGEXP`
`static java.lang.String` | `CONDITIONALEXPRESSION`
`static java.lang.String` | `CTOR_INST_STATIC`
`static java.lang.String` | `CTOR_STATIC_INST`
`static java.lang.String` | `CTORDECLARATIONPARAM`
`static java.lang.String` | `CTORDECLARATIONTHROWS`
`static java.lang.String` | `CTORJAVADOCPACKAGE`
`static java.lang.String` | `CTORJAVADOCPRIVATE`
`static java.lang.String` | `CTORJAVADOCPROTECTED`
`static java.lang.String` | `CTORJAVADOCPUBLIC`
`static java.lang.String` | `DONTRETURNTYPEHASHTABLE`
`static java.lang.String` | `DONTRETURNTYPEVECTOR`
`static java.lang.String` | `EMPTYCATCHBLOCKALLOWED`
`static java.lang.String` | `EMPTYFINALLYBLOCKALLOWED`
`static java.lang.String` | `EMPTYSTRINGLITERLALLOWED`
`static java.lang.String` | `END_OF_CLASS`
`static java.lang.String` | `FCFPACREGEXP`
`static java.lang.String` | `FCFPRIREGEXP`
`static java.lang.String` | `FCFPROREGEXP`
`static java.lang.String` | `FCFPUBREGEXP`
`static java.lang.String` | `FCMETPACREGEXP`
`static java.lang.String` | `FCMETPRIREGEXP`
`static java.lang.String` | `FCMETPROREGEXP`
`static java.lang.String` | `FCMETPUBREGEXP`
`static java.lang.String` | `FIELD_BLOCK_AFTER_METHOD_BLOCK`
`static java.lang.String` | `FIELD_BLOCK_BEFORE_METHOD_BLOCK`
`static java.lang.String` | `FIELDBLOCKPLACERULE`
`static java.lang.String` | `FIELDDECLARATIONMODIFIERORDER`
`static java.lang.String` | `FIELDJAVADOCPACKAGE`
`static java.lang.String` | `FIELDJAVADOCPRIVATE`
`static java.lang.String` | `FIELDJAVADOCPROTECTED`
`static java.lang.String` | `FIELDJAVADOCPUBLIC`
`static java.lang.String` | `FIELDORDERRULE`
`static java.lang.String` | `FINPARAREGEXP`
`static java.lang.String` | `FMETPACREGEXP`
`static java.lang.String` | `FMETPRIREGEXP`
`static java.lang.String` | `FMETPROREGEXP`
`static java.lang.String` | `FMETPUBREGEXP`
`static java.lang.String` | `IFPACREGEXP`
`static java.lang.String` | `IFPRIREGEXP`
`static java.lang.String` | `IFPROREGEXP`
`static java.lang.String` | `IFPUBREGEXP`
`static java.lang.String` | `INTERFACENAMEREGEXP`
`static java.lang.String` | `INTERFACENOTABSTRACT`
`static java.lang.String` | `JAVADOCTAGORDER`
`static java.lang.String` | `LABELNAMEREGEXP`
`static java.lang.String` | `LINELENGTH`
`static java.lang.String` | `LVREGEXP`
`static java.lang.String` | `MAXNUMBEROFARGUMENTSPERCONSTRUCTOR`
`static java.lang.String` | `MAXNUMBEROFARGUMENTSPERMETHOD`
`static java.lang.String` | `MAXNUMBEROFCCNPERCONSTRUCTOR`
`static java.lang.String` | `MAXNUMBEROFCCNPERMETHOD`
`static java.lang.String` | `MAXNUMBEROFNCSSPERCONSTRUCTOR`
`static java.lang.String` | `MAXNUMBEROFNCSSPERMETHOD`
`static java.lang.String` | `METHODBLOCKPLACERULE`
`static java.lang.String` | `METHODDECLARATIONMODIFIERORDER`
`static java.lang.String` | `METHODDECLARATIONPARAM`
`static java.lang.String` | `METHODDECLARATIONRETURN`
`static java.lang.String` | `METHODDECLARATIONTHROWS`
`static java.lang.String` | `METHODJAVADOCPACKAGE`
`static java.lang.String` | `METHODJAVADOCPRIVATE`
`static java.lang.String` | `METHODJAVADOCPROTECTED`
`static java.lang.String` | `METHODJAVADOCPUBLIC`
`static java.lang.String` | `METHODORDERRULE`
`static java.lang.String` | `METHODVOIDNORETURN`
`static java.lang.String` | `METPACREGEXP`
`static java.lang.String` | `METPRIREGEXP`
`static java.lang.String` | `METPROREGEXP`
`static java.lang.String` | `METPUBREGEXP`
`static java.lang.String` | `NESTEDTYPEBLOCKPLACERULE`
`static java.lang.String` | `NESTEDTYPEDECLARATIONMODIFIERORDER`
`static java.lang.String` | `NO_ORDER`
`static java.lang.String` | `NOELSEIFWITHOUTBRACE`
`static java.lang.String` | `ONLYCAPITALLFORLONG`
`static java.lang.String` | `ONLYONEFIELDDECLARATIONPERLINE`
`static java.lang.String` | `ONLYSUBCLASSEDCATCHBLOCK`
`static java.lang.String` | `ONLYTHROWSUBCLASSEDEXCEPTION`
`static java.lang.String` | `OPENBRACENEWLINE`
`static java.lang.String` | `PACKAGENAMEREGEXP`
`static java.lang.String` | `PARAREGEXP`
`static java.lang.String` | `PRI_PAC_PRO_PUB`
`static java.lang.String` | `PUB_PRO_PAC_PRI`
`static java.lang.String` | `REGEXPPREFIXFORMETHODRETURINGBOOLEAN`
`static java.lang.String` | `SEMICOLONAFTERTYPEDECLARATION`
`static java.lang.String` | `SPACEAFTERMETHODNAME`
`static java.lang.String` | `SPACEAFTERSTATEMENTKEYWORD`
`static java.lang.String` | `SPACEAROUNDBINARYEXPRESSION`
`static java.lang.String` | `STATIC_CTOR_INST`
`static java.lang.String` | `STATIC_FINAL_STATIC_INST`
`static java.lang.String` | `STRINGLITERALALLOWED`
`static java.lang.String` | `SWITCHREQUIRESDEFAULT`
`static java.lang.String` | `TABSALLOWED`
`static java.lang.String` | `TYPEDECLARATIONAUTHOR`
`static java.lang.String` | `TYPEDECLARATIONMODIFIERORDER`
`static java.lang.String` | `TYPEDECLARATIONVERSION`
`static java.lang.String` | `TYPEHEADEREXPRESSION`
`static java.lang.String` | `UNITTESTCLASSREGEXP`
`static java.lang.String` | `UNITTESTSREGEXP`

Field Detail

### TYPEHEADEREXPRESSION

    public static final java.lang.String TYPEHEADEREXPRESSION

### LINELENGTH

    public static final java.lang.String LINELENGTH

### OPENBRACENEWLINE

    public static final java.lang.String OPENBRACENEWLINE

### MAXNUMBEROFARGUMENTSPERCONSTRUCTOR

    public static final java.lang.String MAXNUMBEROFARGUMENTSPERCONSTRUCTOR

### TABSALLOWED

    public static final java.lang.String TABSALLOWED

### ALLOWDOTSTARIMPORT

    public static final java.lang.String ALLOWDOTSTARIMPORT

### ONLYSUBCLASSEDCATCHBLOCK

    public static final java.lang.String ONLYSUBCLASSEDCATCHBLOCK

### TYPEDECLARATIONMODIFIERORDER

    public static final java.lang.String TYPEDECLARATIONMODIFIERORDER

### NESTEDTYPEDECLARATIONMODIFIERORDER

    public static final java.lang.String NESTEDTYPEDECLARATIONMODIFIERORDER

### INTERFACENOTABSTRACT

    public static final java.lang.String INTERFACENOTABSTRACT

### PACKAGENAMEREGEXP

    public static final java.lang.String PACKAGENAMEREGEXP

### CLASSNAMEREGEXP

    public static final java.lang.String CLASSNAMEREGEXP

### ABSTRACTCLASSNAMEREGEXP

    public static final java.lang.String ABSTRACTCLASSNAMEREGEXP

### INTERFACENAMEREGEXP

    public static final java.lang.String INTERFACENAMEREGEXP

### LABELNAMEREGEXP

    public static final java.lang.String LABELNAMEREGEXP

### ONLYCAPITALLFORLONG

    public static final java.lang.String ONLYCAPITALLFORLONG

### SPACEAFTERSTATEMENTKEYWORD

    public static final java.lang.String SPACEAFTERSTATEMENTKEYWORD

### SPACEAROUNDBINARYEXPRESSION

    public static final java.lang.String SPACEAROUNDBINARYEXPRESSION

### SWITCHREQUIRESDEFAULT

    public static final java.lang.String SWITCHREQUIRESDEFAULT

### ASSIGNMENTINCONDITIONALEXPRESSION

    public static final java.lang.String ASSIGNMENTINCONDITIONALEXPRESSION

### ALLOWEDCOMPLEXLOOPEXPRESSION

    public static final java.lang.String ALLOWEDCOMPLEXLOOPEXPRESSION

### CONDITIONALEXPRESSION

    public static final java.lang.String CONDITIONALEXPRESSION

### STRINGLITERALALLOWED

    public static final java.lang.String STRINGLITERALALLOWED

### EMPTYSTRINGLITERLALLOWED

    public static final java.lang.String EMPTYSTRINGLITERLALLOWED

### EMPTYCATCHBLOCKALLOWED

    public static final java.lang.String EMPTYCATCHBLOCKALLOWED

### EMPTYFINALLYBLOCKALLOWED

    public static final java.lang.String EMPTYFINALLYBLOCKALLOWED

### BRACESAROUNDSINGLELINESTATEMENT

    public static final java.lang.String BRACESAROUNDSINGLELINESTATEMENT

### SEMICOLONAFTERTYPEDECLARATION

    public static final java.lang.String SEMICOLONAFTERTYPEDECLARATION

### NESTEDTYPEBLOCKPLACERULE

    public static final java.lang.String NESTEDTYPEBLOCKPLACERULE

### ONLYONEFIELDDECLARATIONPERLINE

    public static final java.lang.String ONLYONEFIELDDECLARATIONPERLINE

### ALLOWPUBLICFIELD

    public static final java.lang.String ALLOWPUBLICFIELD

### ALLOWPROTECTEDFIELD

    public static final java.lang.String ALLOWPROTECTEDFIELD

### ALLOWPACKAGEFIELD

    public static final java.lang.String ALLOWPACKAGEFIELD

### FIELDDECLARATIONMODIFIERORDER

    public static final java.lang.String FIELDDECLARATIONMODIFIERORDER

### CHECKARRAYATTYPE

    public static final java.lang.String CHECKARRAYATTYPE

### IFPRIREGEXP

    public static final java.lang.String IFPRIREGEXP

### IFPACREGEXP

    public static final java.lang.String IFPACREGEXP

### IFPROREGEXP

    public static final java.lang.String IFPROREGEXP

### IFPUBREGEXP

    public static final java.lang.String IFPUBREGEXP

### CFPRIREGEXP

    public static final java.lang.String CFPRIREGEXP

### CFPACREGEXP

    public static final java.lang.String CFPACREGEXP

### CFPROREGEXP

    public static final java.lang.String CFPROREGEXP

### CFPUBREGEXP

    public static final java.lang.String CFPUBREGEXP

### FCFPRIREGEXP

    public static final java.lang.String FCFPRIREGEXP

### FCFPACREGEXP

    public static final java.lang.String FCFPACREGEXP

### FCFPROREGEXP

    public static final java.lang.String FCFPROREGEXP

### FCFPUBREGEXP

    public static final java.lang.String FCFPUBREGEXP

### FIELDBLOCKPLACERULE

    public static final java.lang.String FIELDBLOCKPLACERULE

### FIELDORDERRULE

    public static final java.lang.String FIELDORDERRULE

### LVREGEXP

    public static final java.lang.String LVREGEXP

### SPACEAFTERMETHODNAME

    public static final java.lang.String SPACEAFTERMETHODNAME

### MAXNUMBEROFARGUMENTSPERMETHOD

    public static final java.lang.String MAXNUMBEROFARGUMENTSPERMETHOD

### REGEXPPREFIXFORMETHODRETURINGBOOLEAN

    public static final java.lang.String REGEXPPREFIXFORMETHODRETURINGBOOLEAN

### DONTRETURNTYPEVECTOR

    public static final java.lang.String DONTRETURNTYPEVECTOR

### DONTRETURNTYPEHASHTABLE

    public static final java.lang.String DONTRETURNTYPEHASHTABLE

### NOELSEIFWITHOUTBRACE

    public static final java.lang.String NOELSEIFWITHOUTBRACE

### METHODDECLARATIONMODIFIERORDER

    public static final java.lang.String METHODDECLARATIONMODIFIERORDER

### ONLYTHROWSUBCLASSEDEXCEPTION

    public static final java.lang.String ONLYTHROWSUBCLASSEDEXCEPTION

### METPRIREGEXP

    public static final java.lang.String METPRIREGEXP

### METPACREGEXP

    public static final java.lang.String METPACREGEXP

### METPROREGEXP

    public static final java.lang.String METPROREGEXP

### METPUBREGEXP

    public static final java.lang.String METPUBREGEXP

### CMETPRIREGEXP

    public static final java.lang.String CMETPRIREGEXP

### CMETPACREGEXP

    public static final java.lang.String CMETPACREGEXP

### CMETPROREGEXP

    public static final java.lang.String CMETPROREGEXP

### CMETPUBREGEXP

    public static final java.lang.String CMETPUBREGEXP

### FMETPRIREGEXP

    public static final java.lang.String FMETPRIREGEXP

### FMETPACREGEXP

    public static final java.lang.String FMETPACREGEXP

### FMETPROREGEXP

    public static final java.lang.String FMETPROREGEXP

### FMETPUBREGEXP

    public static final java.lang.String FMETPUBREGEXP

### FCMETPRIREGEXP

    public static final java.lang.String FCMETPRIREGEXP

### FCMETPACREGEXP

    public static final java.lang.String FCMETPACREGEXP

### FCMETPROREGEXP

    public static final java.lang.String FCMETPROREGEXP

### FCMETPUBREGEXP

    public static final java.lang.String FCMETPUBREGEXP

### PARAREGEXP

    public static final java.lang.String PARAREGEXP

### FINPARAREGEXP

    public static final java.lang.String FINPARAREGEXP

### METHODBLOCKPLACERULE

    public static final java.lang.String METHODBLOCKPLACERULE

### METHODORDERRULE

    public static final java.lang.String METHODORDERRULE

### TYPEDECLARATIONAUTHOR

    public static final java.lang.String TYPEDECLARATIONAUTHOR

### TYPEDECLARATIONVERSION

    public static final java.lang.String TYPEDECLARATIONVERSION

### CTORDECLARATIONPARAM

    public static final java.lang.String CTORDECLARATIONPARAM

### CTORDECLARATIONTHROWS

    public static final java.lang.String CTORDECLARATIONTHROWS

### CTORJAVADOCPUBLIC

    public static final java.lang.String CTORJAVADOCPUBLIC

### CTORJAVADOCPROTECTED

    public static final java.lang.String CTORJAVADOCPROTECTED

### CTORJAVADOCPACKAGE

    public static final java.lang.String CTORJAVADOCPACKAGE

### CTORJAVADOCPRIVATE

    public static final java.lang.String CTORJAVADOCPRIVATE

### METHODDECLARATIONPARAM

    public static final java.lang.String METHODDECLARATIONPARAM

### METHODDECLARATIONTHROWS

    public static final java.lang.String METHODDECLARATIONTHROWS

### METHODDECLARATIONRETURN

    public static final java.lang.String METHODDECLARATIONRETURN

### ANONYMOUSCLASSMETHODJAVADOC

    public static final java.lang.String ANONYMOUSCLASSMETHODJAVADOC

### METHODVOIDNORETURN

    public static final java.lang.String METHODVOIDNORETURN

### METHODJAVADOCPUBLIC

    public static final java.lang.String METHODJAVADOCPUBLIC

### METHODJAVADOCPROTECTED

    public static final java.lang.String METHODJAVADOCPROTECTED

### METHODJAVADOCPACKAGE

    public static final java.lang.String METHODJAVADOCPACKAGE

### METHODJAVADOCPRIVATE

    public static final java.lang.String METHODJAVADOCPRIVATE

### FIELDJAVADOCPUBLIC

    public static final java.lang.String FIELDJAVADOCPUBLIC

### FIELDJAVADOCPROTECTED

    public static final java.lang.String FIELDJAVADOCPROTECTED

### FIELDJAVADOCPACKAGE

    public static final java.lang.String FIELDJAVADOCPACKAGE

### FIELDJAVADOCPRIVATE

    public static final java.lang.String FIELDJAVADOCPRIVATE

### JAVADOCTAGORDER

    public static final java.lang.String JAVADOCTAGORDER

### MAXNUMBEROFNCSSPERCONSTRUCTOR

    public static final java.lang.String MAXNUMBEROFNCSSPERCONSTRUCTOR

### MAXNUMBEROFNCSSPERMETHOD

    public static final java.lang.String MAXNUMBEROFNCSSPERMETHOD

### MAXNUMBEROFCCNPERCONSTRUCTOR

    public static final java.lang.String MAXNUMBEROFCCNPERCONSTRUCTOR

### MAXNUMBEROFCCNPERMETHOD

    public static final java.lang.String MAXNUMBEROFCCNPERMETHOD

### UNITTESTCLASSREGEXP

    public static final java.lang.String UNITTESTCLASSREGEXP

### UNITTESTSREGEXP

    public static final java.lang.String UNITTESTSREGEXP

### NO_ORDER

    public static final java.lang.String NO_ORDER

### PUB_PRO_PAC_PRI

    public static final java.lang.String PUB_PRO_PAC_PRI

### PRI_PAC_PRO_PUB

    public static final java.lang.String PRI_PAC_PRO_PUB

### CTOR_INST_STATIC

    public static final java.lang.String CTOR_INST_STATIC

### CTOR_STATIC_INST

    public static final java.lang.String CTOR_STATIC_INST

### STATIC_CTOR_INST

    public static final java.lang.String STATIC_CTOR_INST

### STATIC_FINAL_STATIC_INST

    public static final java.lang.String STATIC_FINAL_STATIC_INST

### FIELD_BLOCK_BEFORE_METHOD_BLOCK

    public static final java.lang.String FIELD_BLOCK_BEFORE_METHOD_BLOCK

### FIELD_BLOCK_AFTER_METHOD_BLOCK

    public static final java.lang.String FIELD_BLOCK_AFTER_METHOD_BLOCK

### BEGINNING_OF_CLASS

    public static final java.lang.String BEGINNING_OF_CLASS

### END_OF_CLASS

    public static final java.lang.String END_OF_CLASS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License